<html><head><style type="text/css"><!-- DIV {margin:0px;} --></style></head><body><div style="font-family:verdana,helvetica,sans-serif;font-size:10pt"><div style="font-family: verdana,helvetica,sans-serif; font-size: 10pt;">Hi Steven.<br><br><div style="font-family: times new roman,new york,times,serif; font-size: 12pt; margin-left: 80px;">----- Original Message ----<br>From: Steven Toth &lt;stoth@linuxtv.org&gt;<br>To: cromworshipper-linuxdvb@yahoo.com<br>Cc: linux-dvb@linuxtv.org<br>Sent: Saturday, December 29, 2007 6:15:33 PM<br>Subject: Re: [linux-dvb] firmware xc3028-v27.fw ?<br><br>
<a ymailto="mailto:cromworshipper-linuxdvb@yahoo.com" href="mailto:cromworshipper-linuxdvb@yahoo.com">cromworshipper-linuxdvb@yahoo.com</a> wrote:<br>&gt; I installed two items in my machine recently<br>&gt; 1) Hauppage hvr950<br>&gt; 2) Hauppage pvr 1800<br>&gt; <br>&gt; To get them to work, I built and installed from <br>&gt; <a href="http://linuxtv.org/hg/v4l-dvb" target="_blank">http://linuxtv.org/hg/v4l-dvb</a>.&nbsp; The compile and install went well,
 but I <br>&gt; get the following in /var/log/messages:<br>&gt; <br>&gt; xc2028 2-0061: Error: firmware xc3028-v27.fw not found<br>&gt; <br>&gt; Is that for the 1800 card?&nbsp;  I haven't been able to find that
 firmware.&nbsp; <br>&gt; Would that be extracted from the driver CD?&nbsp; I might have tossed it
 out...<br><br>No, the HVR1800 does not use that xc3028 driver, it's asking for the <br>firmware for the HVR950.<br><br>For digital ATSC or QAM, the HVR1800 is working nicely with the current
 <br>v4l-dvb build.<br><br>I know the HVR950 is supported (with various patches?), but I don't
 know <br>much about getting it to work. Have you tried the <a target="_blank" href="http://linuxtv.org">linuxtv.org</a> wiki?<br><br>- Steve<br><br></div>Yes I have.&nbsp; I've lost track of the exact thread, but if I recall correctly, the 950 is supported by the em28xx module in the mainline tree.&nbsp; I haven't been able to find a page dedicated to it.&nbsp; Did I miss it?&nbsp; Is the mailing list the only way to keep track of which hardware is supported by which module?&nbsp; <br><br><span>Now that you mention it, there is also <a target="_blank" href="http://linuxtv.org/hg/%7Emkrufky/hvr950/">http://linuxtv.org/hg/~mkrufky/hvr950/</a> but I don't want to have conflicts between the dvb modules there and the ones in the mainline tree.&nbsp; Besides, since it is 13 months old, I imagine it has been merged to the mainline tree.&nbsp; Is that not true.</span><br><br>If the HVR 1800 is supposed to work then it must /dev/dvb/adapter0, right?&nbsp; Is
 there a way verify that?<br><br>Thanks for your help, Steven.<br><br>John<br></div></div></body></html>